Search documentation of megaco

# megaco_codec_mstone2 (megaco v4.7.2.1)

View Source

This module implements a simple megaco codec-based performance tool.

This module implements the mstone2 tool, a simple megaco codec-based performance tool.

The results, the mstone value(s), are written to stdout.

Note that this module is not included in the runtime part of the application.

# Summary

## Functions

start()

Equivalent to `start/1`.

start(MessagePackage)

This function starts the mstone2 performance test with all codec configs. Processes are created dynamically. Each process make one run through their messages (decoding and encoding messages) and then exits. When one process exits, a new is created with the same codec config and set of messages.

# Functions

# start()

Equivalent to `start/1`.

# start(MessagePackage)

This function starts the mstone2 performance test with all codec configs. Processes are created dynamically. Each process make one run through their messages (decoding and encoding messages) and then exits. When one process exits, a new is created with the same codec config and set of messages.

The number of messages processed in total (for all processes) is the mstone value.